v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subject/{subjectId}/details
Retrieves a subject's treatment arm and cohort. Rights: DataCaptureSubjectGet, ORSUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
subjectId(required): string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : SubjectTrtArmResponse v1.0
Type:
objectTitle:
SubjectTrtArmResponse v1.0Response object containing subject treatment.
Show Source
-
subjectId: string
(uuid)
Title:
Subject IDSubject ID. -
treatmentId: string
(uuid)
Title:
Treatment IDTreatment ID.
Examples
404 Response
Invalid study ID or version. Or subject not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples